Bug 74400 - make bzImage fails - undefined reference to zlib_inflate
make bzImage fails - undefined reference to zlib_inflate
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-23 11:43 EDT by George H. Fisher
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George H. Fisher 2002-09-23 11:43:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20011126
Netscape6/6.2.1

Description of problem:
After getting a new version (2.4.18-10) of the kernel source by running up2date,
needed to compile a new custom kernel.  After running make mrproper, make
xconfig, and choosing the config file  kernel-2.4.18-i686.config, running 'make
dep', then get this error message after running 'make bzImage':

fs/fs.o: In function `zisofs_readpage':
fs/fs.o(.text+0x2e106): undefined reference to `zlib_inflateInit_'
fs/fs.o(.text+0x2e20e): undefined reference to `zlib_inflate'
fs/fs.o(.text+0x2e3aa): undefined reference to `zlib_inflateEnd'
fs/fs.o: In function `mnt_init':
fs/fs.o(.text.init+0x94c): undefined reference to `init_rootfs'
fs/fs.o: In function `zisofs_init':
fs/fs.o(.text.init+0xc99): undefined reference to `zlib_inflate_workspacesize'
make[1]: *** [kallsyms] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.18-10'
make: *** [vmlinux] Error 2


Version-Release number of selected component (if applicable):2.4.18-10 kernel
source from RedHat


How reproducible:
Always

Steps to Reproduce:
1.make mrproper ; make xconfig (choose kernel-2.4.18-i686.config)
2.make dep
3.make bzImage
	

Actual Results:  fs/fs.o: In function `zisofs_readpage':
fs/fs.o(.text+0x2e106): undefined reference to `zlib_inflateInit_'
fs/fs.o(.text+0x2e20e): undefined reference to `zlib_inflate'
fs/fs.o(.text+0x2e3aa): undefined reference to `zlib_inflateEnd'
fs/fs.o: In function `mnt_init':
fs/fs.o(.text.init+0x94c): undefined reference to `init_rootfs'
fs/fs.o: In function `zisofs_init':
fs/fs.o(.text.init+0xc99): undefined reference to `zlib_inflate_workspacesize'
make[1]: *** [kallsyms] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.18-10'
make: *** [vmlinux] Error 2


Additional info:

This is a Gateway solo 2500 LS laptop, which though old has worked stably for
many years.
Comment 1 Arjan van de Ven 2002-09-24 07:11:23 EDT
can you see if running "make oldconfig" after make xconfig fixes this ?
Comment 2 George H. Fisher 2002-09-24 12:39:43 EDT
One of my colleagues pointed out this webpage, indicating a very similar problem
with the 2.4.18-4 kernel awhile back:

https://listman.redhat.com/pipermail/valhalla-list/2002-May/000841.html

I tried their suggestion of using just menuconfig instead of xconfig and indeed,
I can make bzImage ok in that case.  But it means make xconfig is broken with
2.4.18-10, as far as I can tell.

George
Comment 3 George H. Fisher 2002-09-25 11:38:26 EDT
OK, I have had a chance to try 'make oldconfig' after 'make xconfig' , and yes,
after doing this, 'make bzImage' correctly compiles a kernel (I am using that
kernel right now).
Comment 4 Bugzilla owner 2004-09-30 11:39:56 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.